/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

.authorialNote-page-wrapper{
    padding: 5px 10px 0px 2px;
    
    &.visible{
        min-height: 30vh;
    }

    & .lea-drawer{
        z-index: 7 !important;
        height: 100%;

        .ant-drawer-body{
            overflow: hidden;
        }


        .authorialNote-content-wrapper{
            display: flex;
            font-size: 1.6rem;
            line-height: 2.6rem;
            height: 100%;
            .authorialNote-section:not(:first-of-type) {
                border-left: 1px solid #c1cbf2;
            }
        }

        & .authorialNote-section {
            width: 100%;
            overflow-y: auto;
        }
        & .authorialNote-section:focus {
            border: 2px solid #4065e2;
        }

       & .authorialNote-editor{
            padding: 10px 48px;
            width: 100%;
            overflow-y: auto;
            box-sizing: border-box;
            height: 100%;

            &.column-hidden{
                max-width: 24px !important;
                min-width: 24px !important;
                padding: 0px;
                overflow: hidden;
                & > * {
                    visibility: hidden;
                }
            }

            .contentEditable {
                border-radius: 3px;
                background-color: #f2f4fd;
                width: 100%;
            }

            &.empty{
                user-select: none;
                visibility: hidden;
            }
        }
    }
    .ant-drawer-content-wrapper{
        height: 100% !important;
        box-shadow: none !important;
    }
}


.akn\:authorialNote {
    display: flex;
    flex-direction: row;
    width: 100%;

    a{
        line-height: inherit;
        font-size: 60%;
        margin-right: 5px;
        user-select: none;
        padding: 0 5px 0 5px;
        text-decoration: none;
    }
    .authorialNoteContent{
        display: inline-block;
        word-break: break-word;
        width: 100%;
    }
  }

  .authorial-note-list {
    list-style-type: none;
    margin-left: 0;
    padding-inline-start: 0;
    overflow-x: hidden;
  }